The supported hypervisor upgrade paths for the NSX-T Data Center product versions.

Table 1. Supported Hypervisor
NSX-T Data Center 2.4 NSX-T Data Center 2.3 NSX-T Data Center 2.2 NSX-T Data Center 2.1
Supported vSphere Hypervisor (ESXi) Supported vSphere Hypervisor (ESXi) Supported vSphere Hypervisor (ESXi) Supported vSphere Hypervisor (ESXi)
Ubuntu 18.04 and Ubuntu 16.04.2 LTS with Kernel version 4.4.0.x Ubuntu 16.04.2 LTS with Kernel version 4.4.0.x Ubuntu 16.04.2 LTS with Kernel version 4.4.0.x Ubuntu 16.04.2 LTS with Kernel version 4.4.0.x
RHEL 7.5 and RHEL 7.4 RHEL 7.5 and RHEL 7.4 RHEL 7.4 RHEL 7.4 and RHEL 7.3
CentOS 7.5 and CentOS 7.4 CentOS 7.4
SLES 12 sp3

Adhere to the following upgrade paths for each NSX-T Data Center release version.

  • NSX-T Data Center 2.3 > NSX-T Data Center 2.4.
  • NSX-T Data Center 2.2 > NSX-T Data Center 2.3 > NSX-T Data Center 2.4.
  • NSX-T Data Center 2.1 > NSX-T Data Center 2.3 > NSX-T Data Center 2.4.